{
  "name": "angular-education-server",
  "version": "0.1.0",
  "description": "Education server app",
  "author": "Jakub Tucek",
  "license": "MIT",
  "scripts": {
    "start": "nodemon --exec \"node -r @swc-node/register\" \"src/server.ts\"",
    "build": "npm run build-ts && npm run lint",
    "lint": "tsc --noEmit && eslint \"**/*.{js,ts}\" --quiet --fix"
  },
  "dependencies": {
    "async": "3.2.4",
    "bcrypt-nodejs": "0.0.3",
    "bluebird": "3.7.2",
    "body-parser": "1.20.2",
    "compression": "1.7.4",
    "connect-mongo": "5.0.0",
    "dotenv": "16.0.3",
    "errorhandler": "1.5.1",
    "express": "4.18.2",
    "express-flash": "0.0.2",
    "express-oas-generator": "1.0.46",
    "express-session": "1.17.3",
    "express-validator": "6.15.0",
    "lodash": "4.17.21",
    "lusca": "1.7.0",
    "mongodb": "5.1.0",
    "mongoose": "6.10.3",
    "nodemailer": "6.9.1",
    "request": "2.88.0",
    "request-promise": "4.2.4",
    "winston": "3.8.2"
  },
  "devDependencies": {
    "@swc-node/register": "1.6.2",
    "@types/async": "3.2.18",
    "@types/bcrypt-nodejs": "0.0.31",
    "@types/bluebird": "3.5.38",
    "@types/body-parser": "1.19.2",
    "@types/chai": "4.3.4",
    "@types/compression": "1.7.2",
    "@types/concurrently": "6.4.0",
    "@types/connect-mongo": "3.1.2",
    "@types/dotenv": "6.1.1",
    "@types/errorhandler": "1.5.0",
    "@types/eslint": "8.21.3",
    "@types/express": "4.17.17",
    "@types/express-flash": "0.0.2",
    "@types/express-session": "1.17.7",
    "@types/jquery": "3.5.16",
    "@types/lodash": "4.14.191",
    "@types/lusca": "1.7.1",
    "@types/mongodb": "4.0.6",
    "@types/mongoose": "5.11.96",
    "@types/node": "18.15.5",
    "@types/nodemailer": "6.4.7",
    "@types/request": "2.48.8",
    "@types/request-promise": "4.1.48",
    "@types/shelljs": "0.8.11",
    "@types/winston": "2.4.4",
    "@typescript-eslint/eslint-plugin": "5.56.0",
    "@typescript-eslint/parser": "5.56.0",
    "chai": "4.3.7",
    "concurrently": "7.6.0",
    "eslint": "8.36.0",
    "nodemon": "2.0.21",
    "sass": "1.59.3",
    "shelljs": "0.8.5",
    "typescript": "5.0.2"
  }
}
